Container (KML Framework API)
Keywords: org.boehn.kmlframework.kml.Container class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.boehn.kmlframework.kml
Class Container

    java.lang.Object
      org.boehn.kmlframework.kml.KmlObject
          org.boehn.kmlframework.kml.Feature
              org.boehn.kmlframework.kml.Container

Direct Known Subclasses:
  Document, Folder

    public abstract class Container

extends Feature

Constructor Summary
`Container()`
`Container(java.lang.String name, java.lang.Boolean visibility, java.lang.Boolean open, AtomAuthor atomAuthor, AtomLink atomLink, java.lang.String address, java.lang.String xalAddressDetails, java.lang.String phoneNumber, java.lang.String snippet, java.lang.Integer snippetMaxLines, java.lang.String description, AbstractView abstractView, TimePrimitive timePrimitive, java.lang.String styleUrl, java.util.List<StyleSelector> styleSelectors, Region region, ExtendedData extendedData, java.util.List<Feature> feauters)`

Method Summary
`void` | `addFeature(Feature feature)`
`java.util.List<Feature>` | `getFeatures()`
`void` | `setFeatures(java.util.List<Feature> features)`
`void` | `writeInner(Kml kml)`

Methods inherited from class org.boehn.kmlframework.kml.Feature
`addStyleSelector, getAbstractView, getAddress, getAtomAuthor, getAtomLink, getDescription, getExtendedData, getName, getPhoneNumber, getRegion, getSnippet, getSnippetMaxLines, getStyleSelectors, getStyleUrl, getTimePrimitive, getXalAddressDeatails, isOpen, isVisible, setAbstractView, setAddress, setAtomAuthor, setAtomLink, setDescription, setExtendedData, setName, setOpen, setPhoneNumber, setRegion, setSnippet, setSnippetMaxLines, setStyleSelectors, setStyleUrl, setTimePrimitive, setVisibility, setXalAddressDeatails`

Methods inherited from class org.boehn.kmlframework.kml.KmlObject
`booleanToInt, enumToString, getId, getIdAndTargetIdFormatted, getTargetId, setId, setTargetId, write, writeDelete`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Container

    public Container()

### Container

    public Container(java.lang.String name,
                     java.lang.Boolean visibility,
                     java.lang.Boolean open,
                     AtomAuthor atomAuthor,
                     AtomLink atomLink,
                     java.lang.String address,
                     java.lang.String xalAddressDetails,
                     java.lang.String phoneNumber,
                     java.lang.String snippet,
                     java.lang.Integer snippetMaxLines,
                     java.lang.String description,
                     AbstractView abstractView,
                     TimePrimitive timePrimitive,
                     java.lang.String styleUrl,
                     java.util.List<StyleSelector> styleSelectors,
                     Region region,
                     ExtendedData extendedData,
                     java.util.List<Feature> feauters)

Method Detail

### getFeatures

    public java.util.List<Feature> getFeatures()

### setFeatures

    public void setFeatures(java.util.List<Feature> features)

### addFeature

    public void addFeature(Feature feature)

### writeInner

    public void writeInner(Kml kml)
                    throws KmlException

  Overrides:
    `writeInner` in class `Feature`
  Throws:
    `KmlException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD